@echo off

echo ....................................................
echo THIS MOD IS NOT MADE, DISTRIBUTED, OR SUPPORTED 
echo BY INFOGRAMES OR PARTICLE SYSTEMS LTD. 
echo ELEMENTS TM END (C) INFOGRAMES AND PARTICLE SYSTEMS LTD.
echo .....................................................
CD..
REM this checks if What rocks and the .bat is in the correct directory
IF NOT EXIST EdgeOfChaos.exe GOTO EM


IF EXIST readme_german.html GOTO GER


IF EXIST readme_english.html GOTO ENG



IF EXIST readme_french.html GOTO FRN



ECHO .
ECHO ......................................................
ECHO . Import wurde abgebrochen: Spracherkennung fehlgeschlagen
ECHO . Bitte what_rocks_readme beachten.
ECHO ......................................................
ECHO . Import aborted: Language not established
ECHO . Please consult the readme in the what_rocks mod.
ECHO ......................................................
ECHO . ...please click X to close this window ....
GOTO QUIT





:INST
DEL resource\multiplayer\maps\astrifm*
DEL resource\multiplayer\maps\largeha*
DEL resource\multiplayer\maps\scpiracy*
DEL resource\multiplayer\maps\siamesetm*
DEL resource\multiplayer\maps\assualt*
DEL resource\multiplayer\maps\labyrinth*
DEL resource\multiplayer\maps\teamfortress*
DEL resource\multiplayer\maps\academy*
DEL resource\multiplayer\maps\cargohunt*


DEL resource\multiplayer\packages\academy_wr.ini
DEL resource\multiplayer\packages\academyhard_wr.ini
DEL resource\multiplayer\packages\station_assualt_wr.ini
DEL resource\multiplayer\packages\teamfortress_wr.ini
DEL resource\multiplayer\packages\cargopod_wr.ini

DEL resource\sims\ships\multiplayer\black_buzzard*
DEL resource\sims\ships\multiplayer\javelin*
DEL resource\sims\ships\multiplayer\sea_gull*
DEL resource\sims\ships\multiplayer\man_o_war*
DEL resource\sims\ships\multiplayer\moth*
DEL resource\sims\ships\multiplayer\storm_hawk*
DEL resource\sims\ships\multiplayer\wolverine*
DEL resource\sims\ships\multiplayer\pioneer*



copy what_rocks\sims\ships\multiplayer resource\sims\ships\multiplayer

copy what_rocks\multiplayer\packages resource\multiplayer\packages

copy what_rocks\multiplayer\maps resource\multiplayer\maps



echo ...........................................................
echo . Maps, ships and packages were installed (updated). To remove
echo . these files, use the file: deinstall_what_rocks_v2 
echo ..........................................................
echo . Die Dateien wurden installiert. zum Entfernen bitte die Batch
echo . Datei deinstall_what_rocks_v2 ausfuehren.
echo ...........................................................
echo please click X to close this window
echo ...........................................................
GOTO QUIT

:EM
echo . Diese Datei wurde in der falschen Verzeichniss gestartet und
echo . abgebrochen. 
echo ........................................................... 
echo . This batch file was aborted (started in the
echo . wrong directory) please consult the readme
echo ...........................................................
echo please click X to close this window
echo ...........................................................

:GER
ECHO .
ECHO . found German language
ECHO . Die Deutsche Text-Datei wird aktiviert
COPY what_rocks\text\german_chaos_player_systems.csv what_rocks\text\chaos_player_systems.csv
COPY what_rocks\html\german what_rocks\html\multiplayer
IF EXIST what_rocks\backups\ships\multiplayer\*.* GOTO INST
MOVE resource\sims\ships\multiplayer what_rocks\backups\ships
MKDIR resource\sims\ships\multiplayer
MOVE resource\multiplayer\maps what_rocks\backups
MKDIR resource\multiplayer\maps
MOVE resource\multiplayer\packages what_rocks\backups
MKDIR resource\multiplayer\packages
GOTO INST

:ENG
ECHO .
ECHO . found English language
ECHO . Activating english language text file
COPY what_rocks\text\english_chaos_player_systems.csv what_rocks\text\chaos_player_systems.csv
COPY what_rocks\html\english what_rocks\html\multiplayer
IF EXIST what_rocks\backups\ships\multiplayer\*.* GOTO INST
MOVE resource\sims\ships\multiplayer what_rocks\backups\ships
MKDIR resource\sims\ships\multiplayer
MOVE resource\multiplayer\maps what_rocks\backups
MKDIR resource\multiplayer\maps
MOVE resource\multiplayer\packages what_rocks\backups
MKDIR resource\multiplayer\packages
GOTO INST

:FRN
ECHO .
ECHO . found french language
ECHO . Activating french language text file
COPY what_rocks\text\french_chaos_player_systems.csv what_rocks\text\chaos_player_systems.csv
COPY what_rocks\html\french what_rocks\html\multiplayer
IF EXIST what_rocks\backups\ships\multiplayer\*.* GOTO INST
MOVE resource\sims\ships\multiplayer what_rocks\backups\ships
MKDIR resource\sims\ships\multiplayer
MOVE resource\multiplayer\maps what_rocks\backups
MKDIR resource\multiplayer\maps
MOVE resource\multiplayer\packages what_rocks\backups
MKDIR resource\multiplayer\packages
GOTO INST


:QUIT


